Package htsjdk.samtools.util

# Class IntervalUtil

java.lang.Object
htsjdk.samtools.util.IntervalUtil

public class IntervalUtil extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IntervalUtil.IntervalCombiner`

## Constructor Summary

Constructors
Constructor
Description
`IntervalUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`assertOrderedNonOverlapping(Iterator<Interval> intervals, SAMSequenceDictionary sequenceDictionary)`
Throws RuntimeException if the given intervals are not locus ordered and non-overlapping
`static boolean`
`contains(IntervalList intervalList, String sequenceName, long position)`
Return true if the sequence/position lie in the provided interval list.
`static boolean`
`contains(Interval interval, String sequenceName, long position)`
Return true if the sequence/position lie in the provided interval.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntervalUtil

public IntervalUtil()

## Method Details

### contains

public static boolean contains(Interval interval, String sequenceName, long position)
Return true if the sequence/position lie in the provided interval.

### contains

public static boolean contains(IntervalList intervalList, String sequenceName, long position)
Return true if the sequence/position lie in the provided interval list.

### assertOrderedNonOverlapping

public static void assertOrderedNonOverlapping(Iterator<Interval> intervals, SAMSequenceDictionary sequenceDictionary)
Throws RuntimeException if the given intervals are not locus ordered and non-overlapping

Parameters:
  `intervals` -
  `sequenceDictionary` - used to determine order of sequences